<?php
/**psr-4 */
/*ini_set('display_errors', 1);
ini_set('display_starup_error', 1);
error_reporting(E_ALL);*/
require_once "vendor/autoload.php";
date_default_timezone_set('America/Lima');
$diaenvio = date('l');
$horaenvio = date('H');
$isDiaNoLaborable = false; 

//dia feriado
if($diaenvio === "Saturday" or $diaenvio === "Sunday"){
    //horas no lavorable
    if (($horaenvio >= '08' && $horaenvio <= '13') || ($horaenvio >= '15' && $horaenvio <= '18')) {
        $isDiaNoLaborable = true;
    }
}


if($isDiaNoLaborable){
    $loader = new \Twig\Loader\FilesystemLoader('public/views');
    $twig = new \Twig\Environment($loader, [
        'debug' => true,
        'cache' => false,
    ]);

    echo $twig->render('nolaborable.html');
    die();
}

/*coneccion */
use App\Libreria\Conexion; new Conexion();
use App\Models\Item;
use App\Models\Empresa;

$loader = new \Twig\Loader\FilesystemLoader('public/views');
$twig = new \Twig\Environment($loader, [
    'debug' => true,
    'cache' => false,
]);

$tipo_personas = Item::where('grupo_id','=',1)->get();
$provincias = Item::where('grupo_id','=',2)->orderBy('nombre')->get();
$distritos = Item::where('grupo_id','=',3)->orderBy('nombre')->get();
$anexos = Item::where('grupo_id','=',4)->orderBy('nombre')->get();
$tipo_documentos = Item::where('grupo_id','=',5)->orderBy('nombre')->get();
$empresa = Empresa::first();

echo $twig->render('index.html',[
    'tipo_personas' => $tipo_personas,
    'provincias' => $provincias,
    'distritos' => $distritos,
    'anexos' => $anexos,
    'tipo_documentos' => $tipo_documentos,
    'empresa' => $empresa
]);